Bug 107730 - Mouse movements will crash Fedora Core install X server.
Mouse movements will crash Fedora Core install X server.
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: XFree86 (Show other bugs)
1
athlon Linux
medium Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-10-22 10:59 EDT by Ivo Sarak
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-12 03:39:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ivo Sarak 2003-10-22 10:59:48 EDT
Description of problem:
X server will crash if to move mouse during startup of it.

Version-Release number of selected component (if applicable):
FedoraCore 0.95 install CD 1.

How reproducible:
Always.

Steps to Reproduce:
1. Boot up the system from Fedora Core 0.95 CD 1;
2. Carry on as usual to the point when the install will try to switch from text
mode to graphics;
3. Start moving the mouse around after You see the messages:
"Probing for mouse type: ..............
Attempting to start native X server"

Actual results:
"Waiting for X server to start...log located in /tmp/X.log
1...2...3...4...5.... X server started successfully.
XIO: fatal IO error 104 (Connection reset by peer) on X server ":1.0"
     after 0 requests (0 known processed) with 0 events remaining.
install exited abnormally"

Expected results:
X server up and install going on as usual...

Additional info:
I tried this with 2 different (Matrox G550 & ATI AIW128Pro) machines.
Comment 1 Ivo Sarak 2003-11-14 17:03:57 EST
This issue is present also in Fedora Core 1.
Comment 2 Ivo Sarak 2003-11-27 01:16:29 EST
This "bug" is very easy to get even in normal situation and no "heavy"
mouse moving is even required at all.
Comment 3 Mike A. Harris 2003-11-27 04:41:10 EST
This bug report contains not enough information to begin to guess
what the problem could be, other than misconfiguration of the mouse
protocol.  The fact that there are not 100000 duplicates of this bug
report indicate that the mouse works perfectly for the majority of
people out there, so the problem you are having is definitely not
widespread.

Please troubleshoot the problem further and provide a lot more
detailed information.  If I can't reproduce the problem at all,
then there is nothing at all that I can do about it.
Comment 4 Ivo Sarak 2003-11-27 10:40:09 EST
I have tested it on several different machines and every time it will
fail if to move mouse before Fedora install has X up and running.
These boxes have mostly Logitech Wheel mouses, but I have experienced
this with noname mouse, too.

There is nothing I can configure - the user defineable mouse selection
will happen much later than this bug is manifesting itself.

What additional information I should post and where/how I may get it?
Comment 5 Ivo Sarak 2003-11-27 12:03:21 EST
I conducted a test with 3 different types of mouses:
1. A4Tech model OK-720 (2 button mouse), Fedora detects it as "generic
- 3 button mouse (PS/2)";
2. Logitech Pilot Wheel M-S48a (3 button wheel mouse), Fedora detects
it as "generic - wheel mouse (PS/2)";
3. Logitech M-BA47 (4 button wheel mouse), Fedora detects it as
"generic - wheel mouse (PS/2)";

Conclusion: the one crashing Fedora install X is the Logitech M-BA47.
Comment 6 David Losada 2004-02-06 06:42:38 EST
Hi, this is my first comment. Excuse the grammatical errors; I'm 
spanish. 
I think it is a problem with the mouse controller, I am having the 
same chash: My mouse is detected as no mouse (is is a "no-brand" one)
; then I select it as generic 3 button mouse on com1 and the X server 
crashes only if you move the mouse while X is booting. If you don't 
move it, it doesn't crash; It is the reason for not being too 
widespread. It happens when installing the Fedora Core 1, and in 
previous versions of red-hat, I think. I am getting the same message; 
If I could give more info ask me for it and explain how.
Comment 7 Mike A. Harris 2004-02-06 08:52:52 EST
Install your system in text mode, then log into the console as
root in runlevel 3, making sure X: is not running, and run:

    redhat-config-xfree86 --reconfig

While X is starting up to run the config tool, be sure to not move
the mouse and possibly trigger the problem you are having.  After
configuration is complete and you exit X again then do the following.

Edit the /etc/X11/XF86Config file as root, and add the following
option to the ServerFlags section:

    Option "NoTrapSignals"

After that, again as root, enable the coredump facility by running
the following from the command prompt:

    ulimit -c unlimited

At this point, run the following commands:

    cd /root
    startx

Now try to reproduce the crash you were experiencing, quitting and
restarting the X server as many times as need be to reproduce the
problem.  Please indicate wether it occurs every time, or only every
so many times.  Once the server has crashed, reboot the machine if
it is unuseable or the screen is corrupt.

There should now be a core file in /root named "core<something>"
Again, as root do:

    gdb --core <the core filename>
    gdb> bt<ENTER>

Cut and paste the results of the gdb "bt" command into the bug
report.

If you can not get it to produce a core file, then the kernel may
be hardlocking or their could be hardware contention or some other
problem.

Update the report with all of this info, and attach the following
files from just after a crash, as individual uncompressed file
attachments using the bugzilla file attachment link below:

    /etc/X11/XF86Config
    /var/log/messages
    /var/log/XFree86.0.log

Comment 8 Mike A. Harris 2004-10-12 03:39:25 EDT
Since this bugzilla report was filed, there have been several major
updates to the X Window System, which may resolve this issue.  Users
who have experienced this problem are encouraged to upgrade to the
latest version of Fedora Core, which can be obtained from:

        http://fedora.redhat.com/download

If this issue turns out to still be reproduceable in the latest
version of Fedora Core, please file a bug report in the X.Org
bugzilla located at http://bugs.freedesktop.org in the "xorg"
component.

Once you've filed your bug report to X.Org, if you paste the new
bug URL here, Red Hat will continue to track the issue in the
centralized X.Org bug tracker, and will review any bug fixes that
become available for consideration in future updates.

Note You need to log in before you can comment on or make changes to this bug.